Subject: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Thu, 17 Sep 2020 13:45:37 +0000

Hello Khaled,

In your email, you refer to https://tools.ietf.org/html/draft-omar-ipv10-06 but may I assume that you meant the latest 2018 version https://tools.ietf.org/html/draft-omar-ipv10-11 ?

Anyway, before presenting the draft, a revised IETF draft should be uploaded as all previous revisions are expired.

You also have received some feedback on the mailing lists, did you incorporate them in a revision ?

The above steps are really the critical conditions to present a draft at an IETF meeting.

Regards

-éric

-----Original Message-----
From: Khaled Omar <[email-masked]>
Date: Wednesday, 16 September 2020 at 15:20
To: Eric Vyncke <[email-masked]>, int-area <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: Ron Bonica <[email-masked]>, Fred Baker <[email-masked]>
Subject: RE: [Int-area] FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10

    Sorry, IETF 98 Not 101 :-)

    -----Original Message-----
    From: Khaled Omar 
    Sent: Wednesday, September 16, 2020 3:12 PM
    To: 'Eric Vyncke (evyncke)' <[email-masked]>; int-area <[email-masked]>; [email-masked]
    Cc: Ron Bonica <[email-masked]>; Fred Baker <[email-masked]>
    Subject: RE: [Int-area] FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10

    Hi Eric,

    The IPv10 I-D was presented once at IETF 101 remotely through the IntArea and there was a technical issue prevented the draft to be presented completely.

    >> I do not see a major difference with previous drafts.

    This is because of the completion of the draft, IMHO it should be reviewed and an official decision should be taken, because the problem of the depletion of the IPv4 address space still has no recent solution applied, we cannot wait too long for IPv6 which requires tranining and this occurred actually but in vain.

    Best regards,

    Khaled Omar

    -----Original Message-----
    From: Eric Vyncke (evyncke) <[email-masked]> 
    Sent: Wednesday, September 16, 2020 3:05 PM
    To: Khaled Omar <[email-masked]>; int-area <[email-masked]>; [email-masked]
    Cc: Ron Bonica <[email-masked]>; Fred Baker <[email-masked]>
    Subject: Re: [Int-area] FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10

    Khaled,

    As the responsible AD for the intarea WG, I wonder why you are forwarding a V6OPS request to intarea ? Your draft has been already presented at intarea a couple of times and (I may be wrong) I do not see a major difference with previous drafts.

    -éric

    -----Original Message-----
    From: Int-area <[email-masked]> on behalf of Khaled Omar <[email-masked]>
    Date: Saturday, 12 September 2020 at 01:47
    To: int-area <[email-masked]>, "[email-masked]" <[email-masked]>
    Subject: [Int-area] FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10

        FYI, just to let you know so maybe you can help with something.

        Best Regards,

        Khaled Omar

        -----Original Message-----
        From: Khaled Omar 
        Sent: Saturday, September 12, 2020 1:42 AM
        To: Ron Bonica <[email-masked]>
        Cc: [email-masked]; [email-masked]
        Subject: RE: [v6ops] v6ops - New Meeting Session Request for IETF 109

        Hi Ron,

        Hope my I-D is clear for you, let me ask if we can reserve a slot for the IP-v10 I-D to be discussed during the next coming meeting so we can solve the problem that IMHO became clear for everyone even students.

        Good Luck,

        Khaled Omar 

        -----Original Message-----
        From: Khaled Omar 
        Sent: Friday, September 11, 2020 10:56 PM
        To: [email-masked]; [email-masked]
        Subject: RE: [v6ops] v6ops - New Meeting Session Request for IETF 109

        Hi V6OPS WG,

        Is it possible to reserve a slot for the IPv10 I-D to be presented completely during the v6ops wg meeting session?

        https://tools.ietf.org/html/draft-omar-ipv10-06

        Best Regards,

        Khaled Omar

        -----Original Message-----
        From: v6ops <[email-masked]> On Behalf Of IETF Meeting Session Request Tool
        Sent: Friday, September 11, 2020 10:52 PM
        To: [email-masked]
        Cc: [email-masked]; [email-masked]
        Subject: [v6ops] v6ops - New Meeting Session Request for IETF 109

        A new meeting session request has just been submitted by Fred Baker, a Chair of the v6ops working group.

        ---------------------------------------------------------
        Working Group Name: IPv6 Operations
        Area Name: Operations and Management Area Session Requester: Fred Baker

        Number of Sessions: 1
        Length of Session(s):  2 Hours
        Number of Attendees: 100
        Conflicts to Avoid: 
         Chair Conflict: spring lsr 6man intarea idr

         Key Participant Conflict: rtgwg tsvarea panrg grow tsvwg

        People who must be present:
          Fred Baker
          Ron Bonica
          Warren &quot;Ace&quot; Kumari

        Resources Requested:

        Special Requests:

        ---------------------------------------------------------

        _______________________________________________
        v6ops mailing list
        [email-masked]
        https://www.ietf.org/mailman/listinfo/v6ops

        _______________________________________________
        Int-area mailing list
        [email-masked]
        https://www.ietf.org/mailman/listinfo/int-area

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 13:58:21 +0000

Hi Eric,

>> You also have received some feedback on the mailing lists, did you incorporate them in a revision ?

Most of the feedbacks I got are related to changing the draft name from IPv10 to any other name.

The difference between version -06 and -11 are on using the ASN inside the address when it is IPv4, and also arranging the direction of the packet to be easily understood when reading, I feel this is the best form of the IPv10 draft.

If someone think there is something missing or to add please inform me and we can do it together.

Best regards,

Khaled Omar

-----Original Message-----
From: Eric Vyncke (evyncke) <[email-masked]> 
Sent: Thursday, September 17, 2020 3:46 PM
To: Khaled Omar <[email-masked]>; int-area <[email-masked]>; [email-masked]
Cc: Ron Bonica <[email-masked]>; Fred Baker <[email-masked]>
Subject: IPv10 draft (was Re: [Int-area] FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

Hello Khaled,

Regards

-éric

    -----Original Message-----
    From: Khaled Omar 
    Sent: Wednesday, September 16, 2020 3:12 PM
    To: 'Eric Vyncke (evyncke)' <[email-masked]>; int-area <[email-masked]>; [email-masked]
    Cc: Ron Bonica <[email-masked]>; Fred Baker <[email-masked]>
    Subject: RE: [Int-area] FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10

    Hi Eric,

    Best regards,

    Khaled Omar

    -----Original Message-----
    From: Eric Vyncke (evyncke) <[email-masked]> 
    Sent: Wednesday, September 16, 2020 3:05 PM
    To: Khaled Omar <[email-masked]>; int-area <[email-masked]>; [email-masked]
    Cc: Ron Bonica <[email-masked]>; Fred Baker <[email-masked]>
    Subject: Re: [Int-area] FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10

    Khaled,

    -éric

    -----Original Message-----
    From: Int-area <[email-masked]> on behalf of Khaled Omar <[email-masked]>
    Date: Saturday, 12 September 2020 at 01:47
    To: int-area <[email-masked]>, "[email-masked]" <[email-masked]>
    Subject: [Int-area] FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10

        Best Regards,

        Khaled Omar

        -----Original Message-----
        From: Khaled Omar 
        Sent: Saturday, September 12, 2020 1:42 AM
        To: Ron Bonica <[email-masked]>
        Cc: [email-masked]; [email-masked]
        Subject: RE: [v6ops] v6ops - New Meeting Session Request for IETF 109

        Hi Ron,

        Good Luck,

        Khaled Omar 

        -----Original Message-----
        From: Khaled Omar 
        Sent: Friday, September 11, 2020 10:56 PM
        To: [email-masked]; [email-masked]
        Subject: RE: [v6ops] v6ops - New Meeting Session Request for IETF 109

        Hi V6OPS WG,

        Best Regards,

        Khaled Omar

        -----Original Message-----
        From: v6ops <[email-masked]> On Behalf Of IETF Meeting Session Request Tool
        Sent: Friday, September 11, 2020 10:52 PM
        To: [email-masked]
        Cc: [email-masked]; [email-masked]
        Subject: [v6ops] v6ops - New Meeting Session Request for IETF 109

        Number of Sessions: 1

        Resources Requested:

        Special Requests:

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Thu, 17 Sep 2020 16:08:10 +0200

On Thu, Sep 17, 2020 at 01:58:21PM +0000,
 Khaled Omar <[email-masked]> wrote 

> from IPv10 to any other name.

No, most of the feedback you received was to explain why it is a bad
idea from the beginning and why your premises, your reasoning and your
conclusion are all false.

No need to spend meeting time on it.

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 14:13:03 +0000

>> No, most of the feedback you received was to explain why it is a bad idea from the beginning and why your premises, your reasoning and your conclusion are all false.

Why it is a bad idea ?????!!!!!

IPv6 requires updating and migration.
IPv10 requires only updating.

IPv6 took so long time.
IPv10 will take short time.

IPv6 is a new address structure.
IPv10 is a solution only.

Other transitioning techniques requires so much translations and involvement of the DNS in the communication process.
IPv10 doesn't requires neither.

Other transitioning techniques requires training.
IPv10 requires no training. 

Best regards,

Khaled Omar

-----Original Message-----
From: Stephane Bortzmeyer <[email-masked]> 
Sent: Thursday, September 17, 2020 4:08 PM
To: Khaled Omar <[email-masked]>
Cc: Eric Vyncke (evyncke) <[email-masked]>; int-area <[email-masked]>; [email-masked]; Ron Bonica <[email-masked]>
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

> from IPv10 to any other name.

No, most of the feedback you received was to explain why it is a bad idea from the beginning and why your premises, your reasoning and your conclusion are all false.

---

From: Erik Kline <[email-masked]>
Date: Thu, 17 Sep 2020 07:28:09 -0700

I concur with Nick Hilliard's comments on the v6ops thread: I really think
you should have a sample implementation.  A github repo with Linux kernel
patches and some client and server apps that actually cause IPv10 packets
to be sent on the wire would be a good starting point.  Patches for
tcpdump/wireshark to parse IPv10 would also be good.

Without the lessons learned from a working implementation it's not clear to
me that this conversation can meaningfully advance.  Even during IPng days,
I believe, there was some BSD exploratory work:
https://tools.ietf.org/html/rfc1682 .

On Thu, Sep 17, 2020 at 7:13 AM Khaled Omar <[email-masked]>
wrote:

> Other transitioning techniques requires so much translations and
> involvement of the DNS in the communication process.
> Cc: Eric Vyncke (evyncke) <[email-masked]>; int-area <[email-masked]>;
> [email-masked]; Ron Bonica <[email-masked]>
> Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New
> Meeting Session Request for IETF 109 - IPv10)
>
> On Thu, Sep 17, 2020 at 01:58:21PM +0000,  Khaled Omar <
> [email-masked]> wrote  a message of 122 lines which said:
>
> No, most of the feedback you received was to explain why it is a bad idea
> from the beginning and why your premises, your reasoning and your

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 14:31:41 +0000

>> I really think you should have a sample implementation.

I’m not a code developer, really we are repeating same requirements, so what is the meaning of a work group?!!!!!

Khaled Omar

From: Erik Kline <[email-masked]>
Sent: Thursday, September 17, 2020 4:28 PM
To: Khaled Omar <[email-masked]>
Cc: Stephane Bortzmeyer <[email-masked]>; Ron Bonica <[email-masked]>; int-area <[email-masked]>; [email-masked]
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

I concur with Nick Hilliard's comments on the v6ops thread: I really think you should have a sample implementation.  A github repo with Linux kernel patches and some client and server apps that actually cause IPv10 packets to be sent on the wire would be a good starting point.  Patches for tcpdump/wireshark to parse IPv10 would also be good.

Without the lessons learned from a working implementation it's not clear to me that this conversation can meaningfully advance.  Even during IPng days, I believe, there was some BSD exploratory work: https://tools.ietf.org/html/rfc1682 .

IPv6 took so long time.

Best regards,

Khaled Omar

-----Original Message-----
From: Stephane Bortzmeyer <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, September 17, 2020 4:08 PM
To: Khaled Omar <[email-masked]<mailto:[email-masked]>>
Cc: Eric Vyncke (evyncke) <[email-masked]<mailto:[email-masked]>>; int-area <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Ron Bonica <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

_______________________________________________
Int-area mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/int-area

---

From: Ted Lemon <[email-masked]>
Date: Thu, 17 Sep 2020 10:33:36 -0400

> I’m not a code developer, really we are repeating same requirements, so what is the meaning of a work group?!!!!!

If you can’t write code, what business do you have proposing standards? Proposing standards is an additional skill on top of network programming, not a separate skillset.

---

From: "Bless, Roland (TM)" <[email-masked]>
Date: Thu, 17 Sep 2020 16:34:47 +0200

Hi,

> Why it is a bad idea ?????!!!!!

Because it is contradictory in itself. Your drafts speaks of
IPv4- and IPv6-only hosts, but your solution requires them to
use and implement the IPv10/IPmix format, too.

> IPv10 requires only updating.

Yes, and everything: hosts and routers.
Not simpler than for IPv6.

> IPv10 will take short time.

Nope, that is a wish, since the complexity would be the same.

> IPv10 is a solution only.

IPV10 also defines a new address format.

> IPv10 doesn't requires neither.

Because everything is IPv10-capable...

I agree with Stephane and repeat excerpts of my message from 2017 here:
>> - Your IPv10 proposal doesn't solve the IPv6 deployment problems, you
>>   basically get an additional IPv10 deployment problem.
>> - IPv10 doesn't allow an IPv6-only host to communicate to an IPv4-only
>>   host and vice versa as stated in the I-D. Hint: an IPv4-only host
>>   has got no idea what an IPv6 address is, let alone an "IPv10 address".
>> - As others already pointed out: the proposal is technically flawed
>>   and does not work.
>> ...>> Repeating this over and over again does not work. IMHO you only can
>> move forward with a _technically sound_ proposal, otherwise many
>> people will regard it as waste of time.

https://mailarchive.ietf.org/arch/msg/int-area/oLszaOAMS5OgSxM0ECKwo-ClYDE/

> No need to spend meeting time on it.

Regards
 Roland

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 14:35:04 +0000

Ted,

Do you have that skillset?

Khaled Omar

From: Ted Lemon <[email-masked]>
Sent: Thursday, September 17, 2020 4:34 PM
To: Khaled Omar <[email-masked]>
Cc: int-area <[email-masked]>
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

On Sep 17, 2020, at 10:31 AM, Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
I’m not a code developer, really we are repeating same requirements, so what is the meaning of a work group?!!!!!

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Thu, 17 Sep 2020 16:36:45 +0200

On Thu, Sep 17, 2020 at 02:31:41PM +0000,
 Khaled Omar <[email-masked]> wrote 
 a message of 189 lines which said:

> I’m not a code developer, really we are repeating same requirements,

I assume this is because some persons believe that you will understand
why IPv10 is wrong only when you'll try to implement it. Otherwise,
you continue to live in delusion, despite many theoretical
explanations.

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 14:40:31 +0000

>> ...>> Repeating this over and over again does not work. IMHO you only 
>> can move forward with a _technically sound_ proposal, otherwise many 

How can IPv10 allow an IPv6-only host to communicate to an IPv4-only host?

This is part of the update, the IPv6 only host will consider the destination (when it is an IP4 only host) as a host not in the same subnet and sent to the default gateway, then the default gateway (router) will use the appropriate routing table (which is the IPv4 routing table in this case) and route the packet until reaching to the destination ......... easy ha.

Best regards,

Khaled Omar

-----Original Message-----
From: Bless, Roland (TM) <[email-masked]> 
Sent: Thursday, September 17, 2020 4:35 PM
To: Khaled Omar <[email-masked]>; Stephane Bortzmeyer <[email-masked]>
Cc: Ron Bonica <[email-masked]>; int-area <[email-masked]>; [email-masked]
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

Hi,

Because it is contradictory in itself. Your drafts speaks of
IPv4- and IPv6-only hosts, but your solution requires them to use and implement the IPv10/IPmix format, too.

I agree with Stephane and repeat excerpts of my message from 2017 here:
>> ...>> Repeating this over and over again does not work. IMHO you only 
>> can move forward with a _technically sound_ proposal, otherwise many 

> Cc: Eric Vyncke (evyncke) <[email-masked]>; int-area 
> <[email-masked]>; [email-masked]; Ron Bonica 
> <[email-masked]>

Regards
 Roland

---

From: Mikael Abrahamsson <[email-masked]>
Date: Thu, 17 Sep 2020 17:03:27 +0200 (CEST)

On Thu, 17 Sep 2020, Khaled Omar wrote:

> I’m not a code developer, really we are repeating same requirements, so 
> what is the meaning of a work group?!!!!!

Look into https://en.wikipedia.org/wiki/Scapy and craft the packets that 
way for your different deployment scenarios, and make diagrams/flow charts 
over how the information is processed by each type of node for each of 
your deployment scenarios.

That way you'll discover what you have misunderstood in your communication 
scenarios and packet formats.

Also include things like dns lookups for before L3 communication can even 
occur. Also study the POSIX socket interface and come up with the changes 
that need to be done there.

After you've done all this and documented it I think people might be a lot 
less dismissive of your ideas.

What you're asking for now is for people to spend time on your ideas (that 
basically all of us think are completely non-starters for us obvious 
reasons), instead I think you should put in more work to make your ideas 
more "baked". You'll also discover the problems with it once you start to 
dig deeper.

-- 
Mikael Abrahamsson    email: [email-masked]

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 15:20:44 +0000

>> That way you'll discover what you have misunderstood in your communication scenarios and packet formats.

How VPN works ? What a tunnel means ? 

Of course it works by encrypting the L3 packet header and adding a new L3 header, is there a problem with this scenario.

IPv10 almost works like this without encryption of course and with only one header (or maybe we can add extension header if people choose that).

I don't see where is the problem, I don't work for Cisco or Microsoft to modify the code of networking and make the header contains a mixture of both version, ask them regarding this issue and they will answer better than me. 

Khaled Omar

-----Original Message-----
From: Mikael Abrahamsson <[email-masked]> 
Sent: Thursday, September 17, 2020 5:03 PM
To: Khaled Omar <[email-masked]>
Cc: int-area <[email-masked]>
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

On Thu, 17 Sep 2020, Khaled Omar wrote:

> so what is the meaning of a work group?!!!!!

Look into https://en.wikipedia.org/wiki/Scapy and craft the packets that way for your different deployment scenarios, and make diagrams/flow charts over how the information is processed by each type of node for each of your deployment scenarios.

That way you'll discover what you have misunderstood in your communication scenarios and packet formats.

Also include things like dns lookups for before L3 communication can even occur. Also study the POSIX socket interface and come up with the changes that need to be done there.

After you've done all this and documented it I think people might be a lot less dismissive of your ideas.

What you're asking for now is for people to spend time on your ideas (that basically all of us think are completely non-starters for us obvious reasons), instead I think you should put in more work to make your ideas more "baked". You'll also discover the problems with it once you start to dig deeper.

---

From: Tom Herbert <[email-masked]>
Date: Thu, 17 Sep 2020 09:33:17 -0600

Khaled,

You don't need to work for a networking company to write networking
software, we live in an open source world and there are several
platforms on which this work could be done such as Linux, FreeBSD,
VPP, etc. However it's up to *you* to take the initiative to produce
the code for your proposal; coming to IETF and expecting that a "work
group" is going to code your protocol simply isn't how it works.I
suggest you learn how to code on one of the platforms and write the
code for your protocol yourself.

Tom

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 15:38:38 +0000

Why people don't want to participate in this work?

Khaled 

-----Original Message-----
From: Tom Herbert <[email-masked]> 
Sent: Thursday, September 17, 2020 5:33 PM
To: Khaled Omar <[email-masked]>
Cc: Mikael Abrahamsson <[email-masked]>; int-area <[email-masked]>
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

Khaled,

You don't need to work for a networking company to write networking software, we live in an open source world and there are several platforms on which this work could be done such as Linux, FreeBSD, VPP, etc. However it's up to *you* to take the initiative to produce the code for your proposal; coming to IETF and expecting that a "work group" is going to code your protocol simply isn't how it works.I suggest you learn how to code on one of the platforms and write the code for your protocol yourself.

Tom

---

From: Tom Herbert <[email-masked]>
Date: Thu, 17 Sep 2020 09:54:21 -0600

Khaled,

Because you haven't convinced people of either the necessity or the
feasibility of your proposal. It's clear that you're very passionate
about solving the problem you see and that's good, but that's not
nearly enough to convince IETF to take this on. IETF is "rough
consensus and running code". You'll need to work on both of those
dimesions any chance of success. Please review the comments in
int-area archives from 2017, this current discussion is pretty much a
rehash of the past discussions. For instance, we specifically
requested that you provide code and even provided hints on how to do
that, but in the intervening three years it really doesn't seem like
you've made any progress in that.

Tom

---

From: Mikael Abrahamsson <[email-masked]>
Date: Thu, 17 Sep 2020 17:57:17 +0200 (CEST)

> Why people don't want to participate in this work?

Because we know it won't work. It's waste of time.

You do not understand 95% of the problem space.

You need to sit down, learn DNS, Socket interfaces, packet on the wire 
(v4/v6) what routers do, and then you need to take all of that and apply 
your IPv10 proposal to it and go into all the details. If you did, you'd 
understand why it doesn't work.

You've wasted hundreds of hours of our time already, now go do the hard 
work. People here won't do it for you. It's your idea, spend the time to 
turn it into somehing more concrete.

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 15:58:24 +0000

>> Because you haven't convinced people of either the necessity or the feasibility of your proposal. It's clear that you're very passionate about solving the problem you see and that's good, but that's not nearly enough to convince IETF to take this on.

You think there is no problem at all to be solved?!

What about those who will have IPv6-only?! What will they do ?! Isn't this enough to convince you about the problem?

How I can convince someone with a solution who don't want to see the problem at all!!!!!

Khaled Omar

-----Original Message-----
From: Tom Herbert <[email-masked]> 
Sent: Thursday, September 17, 2020 5:54 PM
To: Khaled Omar <[email-masked]>
Cc: Mikael Abrahamsson <[email-masked]>; int-area <[email-masked]>
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

Khaled,

Because you haven't convinced people of either the necessity or the feasibility of your proposal. It's clear that you're very passionate about solving the problem you see and that's good, but that's not nearly enough to convince IETF to take this on. IETF is "rough consensus and running code". You'll need to work on both of those dimesions any chance of success. Please review the comments in int-area archives from 2017, this current discussion is pretty much a rehash of the past discussions. For instance, we specifically requested that you provide code and even provided hints on how to do that, but in the intervening three years it really doesn't seem like you've made any progress in that.

Tom

> > > I’m not a code developer, really we are repeating same 
> > > requirements, so what is the meaning of a work group?!!!!!
> >

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 16:03:01 +0000

This sounds to me as NEP is not making benefits at all, and then someone used it :-)

And the funny thing when people said it is fine to take something from the market and don't pay :D

Please lets close this discussion for now as it has no benefits and waste time because of the comments that keeps saying "it will not work" and "no", because I cannot guarantee for you something I didn't implement.

Hope to find somewhere else where we can discuss technically and implement and say clear and accurate answers.

Thanks,

Khaled Omar

-----Original Message-----
From: Mikael Abrahamsson <[email-masked]> 
Sent: Thursday, September 17, 2020 5:57 PM
To: Khaled Omar <[email-masked]>
Cc: int-area <[email-masked]>
Subject: RE: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

You need to sit down, learn DNS, Socket interfaces, packet on the wire
(v4/v6) what routers do, and then you need to take all of that and apply your IPv10 proposal to it and go into all the details. If you did, you'd understand why it doesn't work.

You've wasted hundreds of hours of our time already, now go do the hard work. People here won't do it for you. It's your idea, spend the time to turn it into somehing more concrete.

---

From: Mikael Abrahamsson <[email-masked]>
Date: Thu, 17 Sep 2020 18:03:10 +0200 (CEST)

> What about those who will have IPv6-only?! What will they do ?! Isn't this enough to convince you about the problem?

We have multiple solutions to that already. NAT64+464XLAT is one. It's 
already used by hundreds of millions of mobile devices around the world.

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 16:04:13 +0000

Ok train people and apply it and I hope it will solve the problem, because till now I don't see anyone using it.

Khaled Omar

-----Original Message-----
From: Mikael Abrahamsson <[email-masked]> 
Sent: Thursday, September 17, 2020 6:03 PM
To: Khaled Omar <[email-masked]>
Cc: Tom Herbert <[email-masked]>; int-area <[email-masked]>
Subject: RE: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

> What about those who will have IPv6-only?! What will they do ?! Isn't this enough to convince you about the problem?

We have multiple solutions to that already. NAT64+464XLAT is one. It's already used by hundreds of millions of mobile devices around the world.

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 17 Sep 2020 17:12:00 +0100

> If you can’t write code, what business do you have proposing standards? Proposing standards is an additional skill on top of network programming, not a separate skillset.

That is an opinion. I am not sure it is correct, or necessary to express it. It is not one that I agree with.

It takes many types of engineer to design the Internet, some will be good at somethings, others will have complementary skills. What is important is that as a team we create a design that meets the requirement.

To suggest that absence of a particular skill disqualifies an individual from participating is one of the most counter-divestity things I have heard on this list.

My concern at that remark should not be taken as an opinion one way or the other on the protocol proposal we are discussing.

- Stewart

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 16:16:34 +0000

>> It takes many types of engineer to design the Internet, some will be good at somethings, others will have complementary skills. What is important is that as a team we create a design that meets th…

And this is what I ask for.

>> To suggest that absence of a particular skill disqualifies an individual from participating is one of the most counter-divestity things I have heard on this list.

Shouldn’t be one man show.

We cannot repeat that millions of time, someone should run STP please ☺

Khaled Omar

From: Int-area <[email-masked]> On Behalf Of Stewart Bryant
Sent: Thursday, September 17, 2020 6:12 PM
To: Ted Lemon <[email-masked]>
Cc: int-area <[email-masked]>
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

- Stewart

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 17:57:50 +0000

Excuse me, 464Xlat supports IPv6-ONLY to IPv4-Only communication?

Khaled Omar

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 17 Sep 2020 20:00:31 +0200

Yes, it does.

Actually, just NAT64 alone (with DNS64) can do that.

464XLAT can do that even without DNS64.

Regards,
Jordi
@jordipalet

El 17/9/20 19:58, "Int-area en nombre de Khaled Omar" <[email-masked] en nombre de [email-masked]> escribió:

    Khaled Omar

    -----Original Message-----
    From: Mikael Abrahamsson <[email-masked]> 
    Sent: Thursday, September 17, 2020 6:03 PM
    To: Khaled Omar <[email-masked]>
    Cc: Tom Herbert <[email-masked]>; int-area <[email-masked]>
    Subject: RE: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.theipv6company.com
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 18:03:22 +0000

So in this scenario:

        A                                                                                                   B
IPv6-ONLY -------- CLAT ---------- ISP ------------ PLAT ---------- IPv4-Only

How can A communicate to B ? 

Regards,

Khaled Omar

-----Original Message-----
From: Int-area <[email-masked]> On Behalf Of JORDI PALET MARTINEZ
Sent: Thursday, September 17, 2020 8:01 PM
To: int-area <[email-masked]>
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

Yes, it does.

Regards,
Jordi
@jordipalet

    Khaled Omar

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 17 Sep 2020 20:08:25 +0200

Because the PLAT, which is a NAT64 do that.

As it has been said before, there are thousands of hundreds of millions of subscribers doing that already, some of them started doing that several years ago (example T-Mobile in US). Look at the deployments in India and China for cases in other regions, not to forget European ISPs, some in Africa and some in LAC.

I'm building a network (I can't yet disclose de details) in your region, for 25 millions subscribers using the same model, just slowed down because the Covid-19.

Regards,
Jordi
@jordipalet

El 17/9/20 20:03, "Int-area en nombre de Khaled Omar" <[email-masked] en nombre de [email-masked]> escribió:

    So in this scenario:

            A                                                                                                   B

    Regards,

    Khaled Omar

    -----Original Message-----
    From: Int-area <[email-masked]> On Behalf Of JORDI PALET MARTINEZ
    Sent: Thursday, September 17, 2020 8:01 PM
    To: int-area <[email-masked]>
    Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

    Yes, it does.

    Regards,
    Jordi
    @jordipalet

        Khaled Omar

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Thu, 17 Sep 2020 20:08:55 +0200

On Thu, Sep 17, 2020 at 04:03:01PM +0000,
 Khaled Omar <[email-masked]> wrote 
 a message of 39 lines which said:

> Hope to find somewhere else where we can discuss technically and
> implement and say clear and accurate answers.

Great idea. But I pity the ITU and ETSI should you bring your proposal
to them :-)

---

From: Mikael Abrahamsson <[email-masked]>
Date: Thu, 17 Sep 2020 20:12:15 +0200 (CEST)

> How can A communicate to B ?

Read the documents. There are RFCs and lots of blogs/articles on the 
topic.

Also there are hundreds of millions of cell phones already using this. 
They have IPv6 only connectivity on the radio.

T-Mobile in US is one example.

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 18:13:25 +0000

Jordi, I'm not asking who are using it, I'm asking that the left side host is IPv6-only, in 464Xlat, how the communication works?

Using DNS64/NAT64 yes, 6 to 4 can happen, but 4 to 6 cannot happen.

But with 464Xlat , how it works?

Regards,

Khaled Omar

-----Original Message-----
From: Int-area <[email-masked]> On Behalf Of JORDI PALET MARTINEZ
Sent: Thursday, September 17, 2020 8:08 PM
To: int-area <[email-masked]>
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

Regards,
Jordi
@jordipalet

    So in this scenario:

            A                                                                                                   B

    Regards,

    Khaled Omar

    -----Original Message-----
    From: Int-area <[email-masked]> On Behalf Of JORDI PALET MARTINEZ
    Sent: Thursday, September 17, 2020 8:01 PM
    To: int-area <[email-masked]>
    Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

    Yes, it does.

    Regards,
    Jordi
    @jordipalet

        Khaled Omar

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 18:15:58 +0000

I just wanna see which one is better (in simplicity and efficiency), IPv10 or 464Xlat ?

Look, you answered my question, or I hope it is not a mistake :-)

Khaled Omar

-----Original Message-----
From: Mikael Abrahamsson <[email-masked]> 
Sent: Thursday, September 17, 2020 8:12 PM
To: Khaled Omar <[email-masked]>
Cc: int-area <[email-masked]>
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

> How can A communicate to B ?

Read the documents. There are RFCs and lots of blogs/articles on the topic.

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 18:21:12 +0000

Give me 5 minutes and yes will do :-)

Khaled Omar

-----Original Message-----
From: Stephane Bortzmeyer <[email-masked]> 
Sent: Thursday, September 17, 2020 8:09 PM
To: Khaled Omar <[email-masked]>
Cc: Mikael Abrahamsson <[email-masked]>; int-area <[email-masked]>
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

> implement and say clear and accurate answers.

Great idea. But I pity the ITU and ETSI should you bring your proposal to them :-)

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 17 Sep 2020 20:25:45 +0200

That's what you think, but is incorrect, your full view of the situation is wrong. IPv6 is done. There is no need for something else.

I don't want to be rude, but this is not the place for training or convincing people.

(If you need a training, we are happy to quote it to you, do a pilot in your network, deploy it, etc.)

I'm really too busy those days to keep going on with a thread that has been there for years and it looks like you prefer not to understand that the networks already took their decision about the right direction.

Regards,
Jordi
@jordipalet

El 17/9/20 20:14, "Int-area en nombre de Khaled Omar" <[email-masked] en nombre de [email-masked]> escribió:

    Regards,

    Khaled Omar

    -----Original Message-----
    From: Int-area <[email-masked]> On Behalf Of JORDI PALET MARTINEZ
    Sent: Thursday, September 17, 2020 8:08 PM
    To: int-area <[email-masked]>
    Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

    Regards,
    Jordi
    @jordipalet

        So in this scenario:

                A                                                                                                   B

        Regards,

        Khaled Omar

        -----Original Message-----
        From: Int-area <[email-masked]> On Behalf Of JORDI PALET MARTINEZ
        Sent: Thursday, September 17, 2020 8:01 PM
        To: int-area <[email-masked]>
        Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

        Yes, it does.

        Regards,
        Jordi
        @jordipalet

            Khaled Omar

---

From: Khaled Omar <[email-masked]>
Date: Thu, 17 Sep 2020 18:29:28 +0000

>> I'm really too busy those days to keep going on with a thread that has been there for years and it looks like you prefer not to understand that the networks already took their decision about the r…

I'm not forcing you to answer my questions, calm down, don't be rude as u said.

Khaled Omar

-----Original Message-----
From: Int-area <[email-masked]> On Behalf Of JORDI PALET MARTINEZ
Sent: Thursday, September 17, 2020 8:26 PM
To: int-area <[email-masked]>
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

Regards,
Jordi
@jordipalet

    Regards,

    Khaled Omar

    -----Original Message-----
    From: Int-area <[email-masked]> On Behalf Of JORDI PALET MARTINEZ
    Sent: Thursday, September 17, 2020 8:08 PM
    To: int-area <[email-masked]>
    Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

    Regards,
    Jordi
    @jordipalet

        So in this scenario:

                A                                                                                                   B

        Regards,

        Khaled Omar

        -----Original Message-----
        From: Int-area <[email-masked]> On Behalf Of JORDI PALET MARTINEZ
        Sent: Thursday, September 17, 2020 8:01 PM
        To: int-area <[email-masked]>
        Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

        Yes, it does.

        Regards,
        Jordi
        @jordipalet

            Khaled Omar

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Thu, 17 Sep 2020 18:52:32 +0000

I can say from the AERO/OMNI experience that there is no substitute for having hands-on
involvement with the actual code. Architectural concepts such as “send an update if anything
changes” can be simple in theory but become difficult or completely intractable to code – and
there is no way of knowing that without actually sitting down with the code and putting the
theories into practice. You might be able to team with good coders who you can hand parts
of the spec to and have them implement it, but unless they fully share your passion and unless
you carefully review the code you can end up with junk code that needs to be either rewritten
or tossed out completely and start from scratch. And, only through actual hand-on experience
with the code yourself can you separate the wheat from the chaff from what other people
contribute. So, while I agree that it is not necessary for the architect to write 100% of the code
themselves, I believe it is mandatory that they have an in-depth knowledge of the framework
to the point that they can recognize the good from the bad and make informed decisions when
admitting/rejecting code offered by others. Better yet is to have a larger team with a good mix
of architectural and software engineering skills. But , the team needs to work very closely
together and have the right give-and-take to accept the good stuff and reject the bad stuff.
A mutual respect and a shared passion working toward a common goal are also mandatory.

Fred

From: Int-area [mailto:[email-masked]] On Behalf Of Khaled Omar
Sent: Thursday, September 17, 2020 9:17 AM
To: Stewart Bryant <[email-masked]>; Ted Lemon <[email-masked]>
Cc: int-area <[email-masked]>
Subject: [EXTERNAL] Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

Khaled Omar

From: Int-area <[email-masked]<mailto:[email-masked]>> On Behalf Of Stewart Bryant
Sent: Thursday, September 17, 2020 6:12 PM
To: Ted Lemon <[email-masked]<mailto:[email-masked]>>
Cc: int-area <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

- Stewart

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Fri, 18 Sep 2020 09:06:10 +0200

On Thu, Sep 17, 2020 at 06:29:28PM +0000,
 Khaled Omar <[email-masked]> wrote 

> I'm not forcing you to answer my questions, calm down, don't be rude

Jordi, like most people in these many threads, has not been rude,
quite the contrary, he demonstrated an extraordinary patience. That's
probably a mistake, because it conforts you in your delusion that your
ideas could be worth a serious discussion. So,
let's be crystal-clear:

* technically, it's nonsense,
* you know nothing about networks,
* much worse, you clearly demonstrated that you are not willing to
  learn or to listen,
* therefore, I urge the various chairs to reject without further
  thinking any demand of a timeslot for you, in any meeting.

---

From: Khaled Omar <[email-masked]>
Date: Fri, 18 Sep 2020 10:38:42 +0000

>> * you know nothing about networks,

It is the same as if I told you "you are an animal".

This is not a good way of evaluating something, if you don't have this skill, don't participate.

-----Original Message-----
From: Stephane Bortzmeyer <[email-masked]> 
Sent: Friday, September 18, 2020 9:06 AM
To: Khaled Omar <[email-masked]>
Cc: JORDI PALET MARTINEZ <jordi.palet=[email-masked]>; int-area <[email-masked]>
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

> I'm not forcing you to answer my questions, calm down, don't be rude 

Jordi, like most people in these many threads, has not been rude, quite the contrary, he demonstrated an extraordinary patience. That's probably a mistake, because it conforts you in your delusion that your ideas could be worth a serious discussion. So, let's be crystal-clear:

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Fri, 18 Sep 2020 15:56:08 +0000

Dear all,

I have hard time to find new and interesting technical arguments in this email thread; and even if I can appreciate the mood  and passion of participants in the discussion, I would really prefer to stick to technical/business arguments.

Dear Khaled, 
looking at the diff between the current and previous versions: https://tools.ietf.org/rfcdiff?url2=draft-omar-ipv10-12.txt 

It seems that the changes are about:
- updating the date
- fixing some typos
- updating the IPv6 traffic with 2018 Google users statistics (sic)
- removed some notes in section 3.4 including the important one " IPv4 and IPv6 routing must be enabled on all routers"

If this document has to gather support in order to be interesting for intarea and perhaps be adopted, it is REQUIRED to:
- use recent references (BCP 14 and IPv6)
- use the example network prefixes
- have sections on deployment, operations, management, & scalability (e.g., number of FIB entries)
- section 4 should be expanded as it consists currently of a simple figure and no text
- please also read and apply RFC 8126, RFC 7322, and RFC 5706.

Based on my experience at the IETF, new ideas need to be socialized, refined, improved, have running code, .. before really asking for adoption for such a major change. 

May I STRONGLY suggest to conduct those activities off-list to foster your idea ? You may find a friendlier and more productive environment outside of V6OPS, 6MAN, INTAREA mailing list.

But, unless the Internet draft is revised to address the points above, more discussions about the current version have NO PLACE on this mailing list. The situation has not changed since
https://mailarchive.ietf.org/arch/msg/int-area/jbvUmtO-RATZOaYy-LJ-gSgo848/  

-éric Vyncke (INT Area Director)
-juan carlos Zuniga (int-area Working Group Chair)
-wassim Haddad (int-area Working Group Chair-

---

From: Khaled Omar <[email-masked]>
Date: Fri, 18 Sep 2020 16:15:20 +0000

Dear Eric,

>>>- please also read and apply RFC 8126, RFC 7322, and RFC 5706.

I'll take all these points into consideration and submit a new version, but this will take long time.

>> Based on my experience at the IETF, new ideas need to be socialized, refined, improved, have running code, .. before really asking for adoption for such a major change.

If you can arrange that team work will be great.

>> May I STRONGLY suggest to conduct those activities off-list to foster your idea ? You may find a friendlier and more productive environment outside of V6OPS, 6MAN, INTAREA mailing list.

Yes. I'm looking for in-person meeting or private conversation through e-mails as some participants are doing now.

Best Regards,

Khaled Omar

-----Original Message-----
From: Eric Vyncke (evyncke) <[email-masked]> 
Sent: Friday, September 18, 2020 5:56 PM
To: Khaled Omar <[email-masked]>; int-area <[email-masked]>
Cc: Wassim Haddad <[email-masked]>; Juan Carlos Zuniga <[email-masked]>
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

Dear all,

Dear Khaled,

But, unless the Internet draft is revised to address the points above, more discussions about the current version have NO PLACE on this mailing list. The situation has not changed since https://mailarchive.ietf.org/arch/msg/int-area/jbvUmtO-RATZOaYy-LJ-gSgo848/  

-éric Vyncke (INT Area Director)
-juan carlos Zuniga (int-area Working Group Chair) -wassim Haddad (int-area Working Group Chair-

---

From: Per Øyvind Heldal <[email-masked]>
Date: Sat, 19 Sep 2020 13:08:15 +0200

> I don't see where is the problem, I don't work for Cisco or Microsoft to modify the code of networking and make the header contains a mixture of both version, ask them regarding this issue and they…
Khaled, this is not about your formal skills or who you work for. You 
have so far failed to generate the enthusiasm required to get others to 
participate. Lots of ideas have failed over the years. Get over it, or 
improve your concept. Create a practical implementation etc. Finding the 
skills and people to do so is ultimately your own responsibility. 
Complaints to the mailing-list about a lack of participation and 
enthusiasm is counter-productive. It is not our job to prove you wrong. 
It is your job to prove that your concept is worth considering, and so 
far you have failed to do so.

//per

---

From: Khaled Omar <[email-masked]>
Date: Sat, 19 Sep 2020 12:10:41 +0000

>> Complaints to the mailing-list about a lack of participation and enthusiasm is counter-productive. It is not our job to prove you wrong. 
It is your job to prove that your concept is worth considering, and so far you have failed to do so.

I'm not complaining, some people decided to participate, others don't, I cannot convince you all to work with me, if I will fail, I can keep trying as long as walking on the right road.

Khaled Omar

-----Original Message-----
From: Int-area <[email-masked]> On Behalf Of Per Øyvind Heldal
Sent: Saturday, September 19, 2020 1:08 PM
To: [email-masked]
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

> I don't see where is the problem, I don't work for Cisco or Microsoft to modify the code of networking and make the header contains a mixture of both version, ask them regarding this issue and they…
Khaled, this is not about your formal skills or who you work for. You have so far failed to generate the enthusiasm required to get others to participate. Lots of ideas have failed over the years. Get over it, or improve your concept. Create a practical implementation etc. Finding the skills and people to do so is ultimately your own responsibility. 
Complaints to the mailing-list about a lack of participation and enthusiasm is counter-productive. It is not our job to prove you wrong. 
It is your job to prove that your concept is worth considering, and so far you have failed to do so.

//per

---

From: Ted Lemon <[email-masked]>
Date: Sat, 19 Sep 2020 08:36:25 -0400

On Sep 19, 2020, at 8:10 AM, Khaled Omar <[email-masked]> wrote:
> I can keep trying as long as walking on the right road.

Why do you think you are walking the right road?

Sometimes it’s true that a person can be a voice in the wilderness crying out a truth that others refuse to see, it’s true. But another explanation for this phenomenon is that what you are saying isn’t true, and that’s why nobody believes you. Why are you coming to the IETF with this? It’s because this is where the people are who understand the Internet. And yet we are saying “no” to your proposal, over and over again. Why do you trust us enough to come to us with your proposal, but not enough to listen to us when we tell you that it is not solving a problem that we think needs to be solved?

---

From: Khaled Omar <[email-masked]>
Date: Sat, 19 Sep 2020 12:46:24 +0000

Because one thing I’m trying to do, to solve an important issue, we cannot keep watching the division and do nothing.

Again, one of my proposals was taken without noticing, and some people were saying same as you now, the issue is that (and I’m sorry to say this) you don’t say the truth, even there is a pressure behind your back, better for you to avoid saying the opposite of what is inside you rather than saying what you say now.

Believe me, working on IPv10 draft will bring benefit for all, for the Internet, users, network engineers, and IETFers just we some organized fashion.

Khaled Omar

From: Ted Lemon <[email-masked]>
Sent: Saturday, September 19, 2020 2:36 PM
To: Khaled Omar <[email-masked]>
Cc: Per Øyvind Heldal <[email-masked]>; [email-masked]
Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

On Sep 19, 2020, at 8:10 AM, Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
I can keep trying as long as walking on the right road.